      program radici
C Programma per calcolare le radici di: ax^2+bx+c=0
      implicit none
C Dichiarazione variabili
      real  a,b,c
      real  Delta,x1,x2
C Input dati
      write(*,*) 'Inserire i coefficienti della equazione'
      read(*,*) a,b,c
      write(*,*) 'a,b,c=',a,b,c
C Calcolo discriminante
      Delta = b**2 - 4.0*a*c
C Distinguo i tre casi
      if (Delta .gt. 0.) then
C        Radici reali distinte
         x1 = ( -b + sqrt(Delta) ) / (2.0*a)
         x2 = ( -b - sqrt(Delta) ) / (2.0*a)
         write(*,*) 'Radici reali distinte:',x1,x2
      else if (Delta .eq. 0. ) then
C        Radici reali coincidenti
         x1 = -b / (2.0*a)
         write(*,*) 'Radice unica:',x1
      else
C        Radici complesse
         write(*,*) 'Spiacente, radici complesse'
      end if
C Fine programma
      stop
      end
